Loading...
Searching...
No Matches
pcsc_reader_state Struct Reference

## Data Fields

SCARDCONTEXT | hContext
SCARDHANDLE | hCard
DWORD | dwActiveProtocol
const SCARD_IO_REQUEST * | pioSendPci
SCARD_IO_REQUEST | pioRecvPci
char * | name

## Field Documentation

## dwActiveProtocol

DWORD pcsc_reader_state::dwActiveProtocol

Referenced by pcsc_card_open(), pcsc_card_reset(), and pcsc_reader_open().

## hCard

SCARDHANDLE pcsc_reader_state::hCard

Referenced by pcsc_card_close(), pcsc_card_open(), pcsc_card_reset(), pcsc_get_atr(), and pcsc_transceive().

## hContext

SCARDCONTEXT pcsc_reader_state::hContext

Referenced by pcsc_card_open(), and pcsc_reader_open().

## name

char* pcsc_reader_state::name

Referenced by pcsc_card_open(), and pcsc_reader_open().

## pioRecvPci

SCARD_IO_REQUEST pcsc_reader_state::pioRecvPci

Referenced by pcsc_transceive().

## pioSendPci

const SCARD_IO_REQUEST* pcsc_reader_state::pioSendPci

Referenced by pcsc_card_open(), and pcsc_transceive().

The documentation for this struct was generated from the following file:

- src/sim/reader_pcsc.c